<?php

$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_SOLICITACOES == 1 or $Permissoes->FUN_TBL_RELATORIO_PENDENCIAS == 1) {

    class EspecificacaoFuncionalSimulacaoController extends GxController {

        var $help = 'Esta é a ajuda';

        public function actionView($id) {
            $this->render('view', array(
                'model' => $this->loadModel($id, 'EspecificacaoFuncionalSimulacao'),
            ));
        }

        public function actionCreate() {
            $model = new EspecificacaoFuncionalSimulacao;


            if (isset($_POST['EspecificacaoFuncionalSimulacao'])) {
                $model->setAttributes($_POST['EspecificacaoFuncionalSimulacao']);

                if ($model->save()) {
                    if (Yii::app()->getRequest()->getIsAjaxRequest())
                        Yii::app()->end();
                    else
                        $this->redirect(array('view', 'id' => $model->EFS_CODIGO));
                }
            }

            $this->render('create', array('model' => $model));
        }

        public function actionUpdate($id) {
            $model = $this->loadModel($id, 'EspecificacaoFuncionalSimulacao');


            if (isset($_POST['EspecificacaoFuncionalSimulacao'])) {
                $model->setAttributes($_POST['EspecificacaoFuncionalSimulacao']);

                if ($model->save()) {
                    $this->redirect(array('view', 'id' => $model->EFS_CODIGO));
                }
            }

            $this->render('update', array(
                'model' => $model,
            ));
        }

        public function actionDelete($id) {
            if (Yii::app()->getRequest()->getIsPostRequest()) {
                $this->loadModel($id, 'EspecificacaoFuncionalSimulacao')->delete();

                if (!Yii::app()->getRequest()->getIsAjaxRequest())
                    $this->redirect(array('admin'));
            } else
                throw new CHttpException(400, 'Sua solicitação é inválida.');
        }

        public function actionAdmin() {
            $model = new EspecificacaoFuncionalSimulacao('search');
            $model->unsetAttributes();

            if (isset($_GET['EspecificacaoFuncionalSimulacao']))
                $model->setAttributes($_GET['EspecificacaoFuncionalSimulacao']);

            $this->render('admin', array(
                'model' => $model,
            ));
        }

        public function actionForm() {
            $this->layout = 'NULL';
            $Simulacao = new EspecificacaoFuncionalSimulacao();
            $this->render('form', array('Simulacao' => $Simulacao));
        }

    }

}